Package org.htmlunit

# Class FormEncodingType

java.lang.Object
org.htmlunit.FormEncodingType

All Implemented Interfaces:
  `Serializable`

public final class FormEncodingType extends Object implements Serializable
A collection of constants that represent the various ways a form can be encoded when submitted.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final FormEncodingType`
  `MULTIPART`
  Multipart form encoding (used to be a constant in HttpClient but it was deprecated with no alternative).
  `static final FormEncodingType`
  `TEXT_PLAIN`
  text/plain.
  `static final FormEncodingType`
  `URL_ENCODED`
  URL-encoded form encoding.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FormEncodingType`
  `getInstance(String name)`
  Returns the constant that matches the specified name.
  `String`
  `getName()`
  Returns the name of this encoding type.
  `String`
  `toString()`
  Returns a string representation of this object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### URL_ENCODED

    public static final FormEncodingType URL_ENCODED
    URL-encoded form encoding.

  - ### MULTIPART

    public static final FormEncodingType MULTIPART
    Multipart form encoding (used to be a constant in HttpClient but it was deprecated with no alternative).

  - ### TEXT_PLAIN

    public static final FormEncodingType TEXT_PLAIN
    text/plain.

- ## Method Details

  - ### getName

    public String getName()
    Returns the name of this encoding type.
    Returns:
      the name of this encoding type

  - ### getInstance

    public static FormEncodingType getInstance(String name)
    Returns the constant that matches the specified name.
    Parameters:
      `name` - the name to search by
    Returns:
      the constant corresponding to the specified name, `URL_ENCODED` if none match.

  - ### toString

    public String toString()
    Returns a string representation of this object.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of this object